import java.io.Serializable;

/**
 * An Address component, it's not have its own identity.
 *
 */ 
public class Address implements Serializable {
    private String streetAddress;
    private String city;
    private String state;
    private String zipCode;

    /**
     * @hibernate.property
     * @hibernate.column name="street_address"
     * @return
     */
    public String getStreetAddress() { return streetAddress; }
    public void setStreetAddress(String streetAddress) { this.streetAddress = streetAddress;}

    /**
     * @hibernate.property
     * @hibernate.column name="city"
     * @return
     */
    public String getCity() { return city; }
    public void setCity(String city) { this.city = city; }

    /**
     * @hibernate.property
     * @hibernate.column name="state"
     * @return
     */
    public String getState() { return state; }
    public void setState(String state) { this.state = state; }

    /**
     * @hibernate.property
     * @hibernate.column name="zip_code"
     * @return
     */
    public String getZipCode() { return zipCode; }
    public void setZipCode(String zipCode) { this.zipCode = zipCode;    }
}
